Bug 816289 - (CVE-2012-2136) CVE-2012-2136 kernel: net: insufficient data_len validation in sock_alloc_send_pskb()
CVE-2012-2136 kernel: net: insufficient data_len validation in sock_alloc_sen...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20120529,repo...
: Security
Depends On: 814504 816106 816290 816292 827064
Blocks: 816298
  Show dependency treegraph
 
Reported: 2012-04-25 13:56 EDT by Petr Matousek
Modified: 2015-02-16 10:43 EST (History)
23 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-24 09:23:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2012-04-25 13:56:37 EDT
Data_len paremeter of sock_alloc_send_pskb() function is not validated before setting frags of allocated skb, which can lead to heap overflow.

On Red Hat Enterprise Linux 5 a user having access to TUN/TAP virtual device could use this flaw to crash the system or to potentially escalate their privileges. The resulting CVSS score is 6.2.

On Red Hat Enterprise Linux 6 a privileged guest user could use this flaw to crash the host or to potentially escalate their privileges on the host. The resulting CVSS score is 7.4.
Comment 4 errata-xmlrpc 2012-05-29 14:21:49 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0690 https://rhn.redhat.com/errata/RHSA-2012-0690.html
Comment 6 errata-xmlrpc 2012-06-18 09:34:46 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0743 https://rhn.redhat.com/errata/RHSA-2012-0743.html
Comment 7 errata-xmlrpc 2012-07-17 14:05:17 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.6 EUS - Server Only

Via RHSA-2012:1087 https://rhn.redhat.com/errata/RHSA-2012-1087.html

Note You need to log in before you can comment on or make changes to this bug.